%global cvs_tag             QuickREx_3_5_0

%if 0%{?fedora} >= 24
%global droplets droplets
%else
%global droplets dropins
%endif

Name:           eclipse-quickrex
Version:        3.5.0
Release:        29%{?dist}
Summary:        QuickREx regular-expression plug-in for Eclipse

License:        EPL
URL:            http://sourceforge.net/projects/quickrex/

# This tarball was made using the included script, like so:
#   sh ./fetch-quickrex.sh %%{cvs_tag}
Source0:        quickrex-fetched-src-%{cvs_tag}.tar.bz2
Source1:        fetch-quickrex.sh

# Appdata addon metadata
Source2:        eclipse-quickrex.metainfo.xml

# Note: This version of QuickREx disables jregex support due to
# the fact that there isn't a Fedora package of it.
Patch0:         quickrex-disable-jregex-capability.patch

BuildArch: noarch

BuildRequires: tycho
BuildRequires: jakarta-oro
BuildRequires: regexp
Requires: eclipse-platform
Requires: jakarta-oro
Requires: regexp

%description
QuickREx is a regular-expression plug-in for Eclipse. It features on-the-fly
evalution, code-completion, group-navigation, different engines and a library
for regular expressions.

%prep
%setup -q -n quickrex-fetched-src-%{cvs_tag}

# Bundle must be dir-shaped due to embedded libs
echo "Eclipse-BundleShape: dir" >> Plug-In/META-INF/MANIFEST.MF

# Symlink embedded libs with system versions
pushd Plug-In
%patch0 -p0
build-jar-repository -p -s lib regexp jakarta-oro
sed -i -e 's|lib/jakarta-oro-2.0.8.jar,lib/jregex1.2_01.jar,lib/jakarta-regexp-1.4.jar|lib/jakarta-oro.jar,lib/regexp.jar|' \
  META-INF/MANIFEST.MF
popd

# Generate poms
xmvn -o org.eclipse.tycho:tycho-pomgenerator-plugin:generate-poms \
  -DgroupId=de.babe.eclipse -Dversion=%{version}

# don't install poms
%mvn_package "::pom::" __noinstall

%build
%mvn_build -j

%install
%mvn_install

# Re-symlink
pushd %{buildroot}%{_datadir}/eclipse/%{droplets}/quickrex/plugins/de.babe.eclipse.plugins.QuickREx_%{version}
rm lib/*.jar
build-jar-repository -p -s lib regexp jakarta-oro
popd

install -D -m655 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/appdata/eclipse-quickrex.metainfo.xml

%files -f .mfiles
%doc Plug-In/html
%{_datadir}/appdata/eclipse-quickrex.metainfo.xml

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri May 4 2018 Alexander Kurtakov <akurtako@redhat.com> 3.5.0-28
- Adjust to remove useless extra eclipse dir in droplets.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Apr 22 2016 Mat Booth <mat.booth@redhat.com> - 3.5.0-24
- Build/install with tycho/xmvn

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jul 24 2014 Mat Booth <mat.booth@redhat.com> - 3.5.0-21
- Add appdata addon metadata
- Fix project URL, bogus changelog date
- Other small specfile cleanups

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 18 2013 Mat Booth <fedora@matbooth.co.uk> - 3.5.0-18
- Fix FTBFS.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 29 2011 Alexander Kurtakov <akurtako@redhat.com> 3.5.0-14
- Fix FTBFS.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Alphonse Van Assche <alcapcom@fedoraproject.org> 3.5.0-11
- rebuilt

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Oct 11 2008 Alphonse Van Assche <alcapcom@fedoraproject.org> 3.5.0-9
- Remove gcj compilation
- Add %%{install_loc}

* Wed Jul 30 2008 Andrew Overholt <overholt@redhat.com> 3.5.0-8
- Update to build against Eclipse SDK 3.4

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.5.0-7
- Autorebuild for GCC 4.3

* Sun Aug 26 2007 Alphonse Van Assche <alcapcom@gmail.com> 3.5.0-6
- Fix License tag.

* Thu Aug 2 2007 Alphonse Van Assche <alcapcom@gmail.com> 3.5.0-5
- Fix a symtaxic error in the specfile.

* Thu Aug 2 2007 Alphonse Van Assche <alcapcom@gmail.com> 3.5.0-4
- Using java instead of eclipse to build the package.

* Wed Jul 11 2007 Alphonse Van Assche <alcapcom@gmail.com> 3.5.0-3
- Some other changes suggested by Andrew, see #246138 for more details

* Thu Jul 5 2007 Alphonse Van Assche <alcapcom@gmail.com> 3.5.0-2
- Some fixes suggested by Andrew Overholt, see #246138 for more details 

* Tue Jun 26 2007 Alphonse Van Assche <alcapcom@gmail.com> 3.5.0-1
- initial package.
